Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Lifecycle Java API Reference 10g Release 3 (10.1.3) B25779-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model
Interface OperationBinding

All Superinterfaces:
  ControlBinding

public interface OperationBinding
extends ControlBinding

Method Summary
`java.util.List` | `getErrors()` Returns a list of errors that were raised during the last invoke operation call.
`java.util.Map` | `getParamsMap()` Retuns a map of name-value pairs of arguments and argument values to be passed to the bound operation.
`java.lang.Object` | `getResult()`
`void` | `invoke()` Invokes this OperationBinding, for example, as a result of a UI button being pressed.
`boolean` | `isOperationEnabled()` Whether the action binding is enabled or disabled.

Methods inherited from interface oracle.adf.model.ControlBinding
`release, setListener`

Method Detail

### isOperationEnabled

    public boolean isOperationEnabled()

  Whether the action binding is enabled or disabled.
  Returns:
    True if the action is currently enabled. False otherwise.

### invoke

    public void invoke()

  Invokes this OperationBinding, for example, as a result of a UI button being pressed. This should translate into invoking some operation on the underlying data control. If there are exceptions within the invoke operation, these exceptions should be accessible via getErrors().

### getErrors

    public java.util.List getErrors()

  Returns a list of errors that were raised during the last invoke operation call.
  Returns:
    A list of Throwable that were raised during setInputValue(). It returns null if there is no error occurred.
  See Also:
    `invoke()`

### getParamsMap

    public java.util.Map getParamsMap()

  Retuns a map of name-value pairs of arguments and argument values to be passed to the bound operation.

### getResult

    public java.lang.Object getResult()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Lifecycle Java API Reference 10g Release 3 (10.1.3) B25779-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.